Bug 907671 - ghc-base should own /usr/lib64/ghc-7.4.1
ghc-base should own /usr/lib64/ghc-7.4.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 18:25 EST by Michael Scherer
Modified: 2013-12-22 05:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 05:12:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add the directory to ghc-base file list (1.34 KB, patch)
2013-02-04 18:25 EST, Michael Scherer
no flags Details | Diff

  None (edit)
Description Michael Scherer 2013-02-04 18:25:19 EST
Created attachment 693053 [details]
add the directory to ghc-base file list

$ LC_ALL=C rpm -qf /usr/lib64/ghc-7.4.1
file /usr/lib64/ghc-7.4.1 is not owned by any package


since all ghc rpm likely requires ghc-base, this is IMHO the rpm that should own this directory. Here is a patch for that.
Comment 1 Jens Petersen 2013-02-04 22:50:12 EST
Thanks for catching this.

FWIW ghc-compiler does currently own the dir but you
are right it should be owned instead by ghc-base as a runtime dep.
Comment 2 Jens Petersen 2013-02-04 23:06:30 EST
Thanks for the report and patch, which I modified slightly in
http://koji.fedoraproject.org/koji/taskinfo?taskID=4929044

Should be fixed in ghc-7.4.2-11.fc19 in rawhide soon.
Comment 3 Jens Petersen 2013-03-22 03:16:44 EDT
Moved to F18
Comment 4 Fedora End Of Life 2013-12-21 10:21:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.